﻿using UnityEngine;

public class Singelton : MonoBehaviour
{
    /// <summary>
    /// gameiino.com / store.gameiino.com / play.gameiino.com / سایت های ما
    /// t.me/gameiino_learning / t.me/gameiino_play / t.me/gameiino_store / کانال های ما در فضای مجازی
    /// <summary>

    private static Singelton _Instance;
    public static Singelton Instance
    {
        get
        {
            return _Instance;
        }
        private set
        {
            if (_Instance != null)
            {
                DestroyImmediate(value.gameObject);
                return;
            }

            _Instance = value;
        }
    }

    [SerializeField] private bool _notDestroyOnLoad;
    public int forUse;

    private void Awake()
    {
        Instance = this;
        if (_notDestroyOnLoad) DontDestroyOnLoad(gameObject);
    }

}
